MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Interleave.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
`#include "util/ConstBuffer.hxx"`
`#include <stdint.h>`
Include dependency graph for Interleave.hxx:

Go to the source code of this file.

## Functions
void | PcmInterleave (void *gcc_restrict dest, ConstBuffer< const void * > src, size_t n_frames, size_t sample_size)
| Interleave planar PCM samples from #src to #dest. More...
void | PcmInterleave32 (int32_t *gcc_restrict dest, ConstBuffer< const int32_t * > src, size_t n_frames)
| A variant of PcmInterleave() that assumes 32 bit samples (4 bytes per sample). More...
static void | PcmInterleaveFloat (float *gcc_restrict dest, ConstBuffer< const float * > src, size_t n_frames)

## Function Documentation

void PcmInterleave | ( | void *gcc_restrict | dest,
|  | ConstBuffer< const void * > | src,
|  | size_t | n_frames,
|  | size_t | sample_size
| ) |  |

Interleave planar PCM samples from #src to #dest.

void PcmInterleave32 | ( | int32_t *gcc_restrict | dest,
|  | ConstBuffer< const int32_t * > | src,
|  | size_t | n_frames
| ) |  |

A variant of PcmInterleave() that assumes 32 bit samples (4 bytes per sample).

static void PcmInterleaveFloat | ( | float *gcc_restrict | dest,
|  | ConstBuffer< const float * > | src,
|  | size_t | n_frames
| ) |  |
| inline static

Definition at line 45 of file Interleave.hxx.